Registration
Body
first_namestring · max: 50Required
last_namestring · max: 50Required
emailstring · emailRequired
passwordstring · passwordRequired
email_allowedbooleanOptionalDefault:
falsesms_allowedbooleanOptionalDefault:
falsewhatsapp_allowedbooleanOptionalDefault:
falsecall_allowedboolean · nullableOptional
confirmbooleanRequired
Confirms acceptance of policies
codestring · nullableOptional
resendbooleanOptionalDefault:
falsegenderstring,null · enum · nullableOptionalPossible values:
date_of_birthstring · nullableOptional
usernamestring · max: 150 · nullableOptional
user_typestringOptional
User type enumeration value
phonestring · max: 60Required
add_loyaltybooleanOptionalDefault:
falseResponses
201
Registration succeeded
No content
202
Verification code sent
400
Validation error
post/users/register-with-loyalty/
POST /users/register-with-loyalty/ HTTP/1.1
Host: sandbox.akinon.com
Content-Type: application/json
Accept: */*
Content-Length: 375
{
"first_name": "text",
"last_name": "text",
"email": "name@gmail.com",
"password": "password",
"email_allowed": false,
"sms_allowed": false,
"whatsapp_allowed": false,
"call_allowed": null,
"confirm": true,
"code": null,
"resend": false,
"gender": "male",
"date_of_birth": null,
"username": null,
"user_type": "text",
"phone": "text",
"attributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"add_loyalty": false
}No content
Body
first_namestring · max: 50Required
last_namestring · max: 50Required
emailstring · emailRequired
passwordstring · passwordRequired
email_allowedbooleanOptionalDefault:
falsesms_allowedbooleanOptionalDefault:
falsewhatsapp_allowedbooleanOptionalDefault:
falsecall_allowedboolean · nullableOptional
confirmbooleanRequired
Confirms acceptance of policies
codestring · nullableOptional
SMS verification code (used in SMS OTP/KVKK flows)
resendboolean · nullableOptionalDefault:
Request a new SMS verification code (SMS OTP/KVKK flows)
falsegenderstring,null · enum · nullableOptionalPossible values:
date_of_birthstring · nullableOptional
usernamestring · max: 150 · nullableOptional
user_typestringOptional
User type enumeration value
phonestring · nullableOptional
Responses
201
Registration succeeded
No content
400
Validation error
post/users/registration/
POST /users/registration/ HTTP/1.1
Host: sandbox.akinon.com
Content-Type: application/json
Accept: */*
Content-Length: 247
{
"first_name": "Jane",
"last_name": "Doe",
"email": "jane.doe@example.com",
"password": "StrongPass!234",
"confirm": true,
"email_allowed": true,
"sms_allowed": false,
"whatsapp_allowed": false,
"call_allowed": false,
"gender": "female",
"date_of_birth": "1990-01-15"
}No content
Path parameters
keystringRequired
Email confirmation key
Responses
302
Email confirmed and redirected
No content
400
Invalid or expired key
get/users/registration/account-confirm-email/{key}/
GET /users/registration/account-confirm-email/{key}/ HTTP/1.1
Host: sandbox.akinon.com
Accept: */*
No content
Last updated
Was this helpful?

